Passa al contenuto principale

HostingPaginatedListResponse

Successful response with a page of Hosting

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • hosting_idintegerrequired
    purchase_idinteger | nullnullablerequired

    Id of the purchase of the hosting (GET /api/v3/purchases/{purchase_id}); null for a subdomain, which belongs to the purchase of its main hosting

    parent_hosting_idinteger | nullnullablerequired

    Id of the main hosting of a subdomain (GET /api/v3/hostings/{hosting_id}); null for a main hosting

    is_primarybooleanrequired

    Whether it is a main hosting; false for a subdomain (POST /api/v3/hostings/{hosting_id}/subdomains)

    host_namestring | nullnullablerequired

    Host name, in Unicode: the hostname of a main hosting (usually its domain), the level name of a subdomain (for example blog)

    host_name_idnastring | nullnullablerequired

    host_name in punycode

    full_namestring | nullnullablerequired

    Full hostname, in Unicode: for a subdomain, the level name followed by the hostname of the main hosting

    full_name_idnastring | nullnullablerequired

    full_name in punycode

    domain_full_namestring | nullnullablerequired

    Hostname on the domain of the purchase, in Unicode: the domain for a main hosting, the subdomain of the domain for a subdomain

    domain_full_name_idnastring | nullnullablerequired

    domain_full_name in punycode

    php_versionstring | nullnullablerequired

    PHP version of the hosting, for example 8.3 (PATCH /api/v3/hostings/{hosting_id}/php-version); null or empty when not set

    http_versionstringrequired

    HTTP version of the hosting: 1 for HTTP/1.1, 2 for HTTP/2 (PATCH /api/v3/hostings/{hosting_id}/http-version)

    file_protection_enabledbooleanrequired

    Whether the file protection is enabled (PATCH /api/v3/hostings/{hosting_id}/file-protection)

    php_settings object[]required

    PHP directives changed on the hosting (PATCH /api/v3/hostings/{hosting_id}/php-settings): the others have the default value of the web server

  • Array [
  • settingstringrequired

    PHP directive, as in PATCH /api/v3/hostings/{hosting_id}/php-settings

    Possible values: [opcache.enable, display_errors, memory_limit, post_max_size, upload_max_filesize, max_execution_time, max_input_time]

    valuestringrequired

    Value set on the hosting

  • ]
  • is_activebooleanrequired

    Whether the hosting is active: always true, since deleted subdomains are not returned

  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    HostingPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "hosting_id": 0,
    "purchase_id": 0,
    "parent_hosting_id": 0,
    "is_primary": true,
    "host_name": "string",
    "host_name_idna": "string",
    "full_name": "string",
    "full_name_idna": "string",
    "domain_full_name": "string",
    "domain_full_name_idna": "string",
    "php_version": "string",
    "http_version": "string",
    "file_protection_enabled": true,
    "php_settings": [
    {
    "setting": "opcache.enable",
    "value": "string"
    }
    ],
    "is_active": true
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }